Bug 1125057 - RFE: [CISCO RHEL-OSP] Hostgroup for combined controller and networker
Summary: RFE: [CISCO RHEL-OSP] Hostgroup for combined controller and networker
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: Foreman (RHEL 6)
Hardware: All
OS: Linux
unspecified
high
Target Milestone: z2
: Installer
Assignee: Jason Guiditta
QA Contact: Ami Jeain
URL: https://trello.com/c/KnKYl1Jp/234-ret...
Whiteboard:
Depends On:
Blocks: 1154145 1154162 1154159
TreeView+ depends on / blocked
 
Reported: 2014-07-31 01:42 UTC by Britt Houser
Modified: 2014-10-17 21:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 17:36:18 UTC


Attachments (Terms of Use)

Description Britt Houser 2014-07-31 01:42:26 UTC
Description of problem:

The host-group currently included with the foreman/astapor based installer for non-HA installations have a separate controller and networker node.  For a small deployment, having to have an extra node can be burdensome.  Also when the customer wants to move to HA setup, the functionality will be combined.  Therefore, it would be useful to have a host-group which combined by controller and networker functions.

Version-Release number of selected component (if applicable):

OSP4 OSP5

How reproducible:

Evertime.

Steps to Reproduce:
1. Install OpenStack Foreman installer
2. Assign host to a host-group

Actual results:

No combined host-groups available

Expected results:

Combined host-groups available

Additional info:

Comment 3 Jason Guiditta 2014-10-01 17:36:18 UTC
This will instead be included for smaller setups when we consolidate on HA code (which already has this configuration). This could be done right now by setting up a single-node cluster using the HA All-in-one-controller


Note You need to log in before you can comment on or make changes to this bug.